Overview
Send an Authenticated Experimentation Assignment Request
Experimentation Assignment API Pipeline Diagnostics
Place authenticated requests for experiment cohort assignments based on data derived from Salesforce Data 360 through an authenticated endpoint.
POST /experimentation/v1/authenticated/assignment
To authenticate your request, provide a Data 360 access token in the header. For instructions on generating an access token, see Data 360 Developer Guide: Quick Start.
1curl "/experimentation/v1/authenticated/assignment" \
2 -X POST \
3 -H "Authorization: Bearer YOUR_DATA_CLOUD_ACCESS_TOKEN"
4 -H "content-type: application/json" \
5 -d '{
6 "context": {
7 "individualId": "",
8 "dataspace": ""
9 },
10 "experiments": [
11 "experimentIdOrName1", "experimentIdOrName2"
12 ],
13 "experimentsOverride":[
14 { "experiment":"experimentIdNotAttached",
15 "cohordId":"cohort_1"}
16 ],
17
18 "executionFlags": [
19 "TestMode","IncludeUnstartedExperiment"
20 ]
21}'Media type: application/json
1{
2 "context": {
3 "individualId": "",
4 "dataspace": ""
5 },
6 "experiments": [
7 "experimentIdOrName1", "experimentIdOrName2"
8 ],
9 "experimentsOverride":[
10 { "experiment":"experimentIdNotAttached",
11 "cohordId":"cohort_1"}
12 ],
13 "profile": {},
14 "executionFlags": ["TestMode","IncludeUnstartedExperiment"]
15}| Parameter | Type | Description |
|---|---|---|
context | Object | Details regarding the context from which the request is taking place. |
experiments | Array of Strings | An array of experiment API names or platform IDs in the corresponding dataspace referenced in the context. |
experimentsOverride | String of Object | Optional. Test or preview specific experiment variants by forcing an assignment for a user, bypassing the normal evaluation process. This object requires an experiment (ID or API name) and a cohortId (the specific variant). This override only functions when the TestMode flag is included in executionFlags. |
profile | Object | Optional. A Data 360 Hot Layer Profile.
|
executionFlags | Array of Strings | Modifiers that change how the request is processed. Supported values:
|
1{
2 "experiment": "",
3 "variableAssignments": [
4 {
5 "variableId": "",
6 "experimentId": "",
7 "experimentName": "",
8 "data": [],
9 "attributes": {}
10 }
11 ],
12 "diagnostics": [
13 {
14 "code": "",
15 "description": ""
16 }
17 ],
18 "requestId": ""
19}Media type: application/json
| Parameter | Type | Description |
|---|---|---|
Response Array | Array | A list of one or more experiment responses, based on the number of experiment references specified in the request. |
experiment | String | The Platform ID of the Experiment. |
variableAssignments | Array | Variable assignments for the experiment. Simple experiments contain one response; multivariate experiments contain nested assignments. |
variableAssignments.variableId | String | The ID of the assigned cohort. For simple experiments, this matches the cohortId in the attributes object that follows. |
variableAssignments.experimentId | String | The Platform ID of the Experiment. |
variableAssignments.experimentName | String | The API name of the Experiment. |
variableAssignments.data | String | An optional array of data that can be returned along with the cohort assignment. This is dependent on the response template you chose when designing the experiment. |
variableAssignments.attributes | Array | An array of attributes that can be returned with the cohort assignment. The attributes returned vary depending on the template you chose when designing the experiment. |
diagnostics | Array | Information about errors or warnings encountered during processing. |
diagnostics.code | String | The error code. |
diagnostics.description | String | A detailed message describing the error. |
requestId | String | The unique identifier for the request and response. |
Details regarding the context from which the request is taking place.
| Parameter | Type | Description |
|---|---|---|
individualId | String | The Individual ID associated with a Data 360 Profile. |
dataspace | String | The data space that defines the boundary of an experimentation context. |
| Parameter | Type | Description |
|---|---|---|
variableId | String | The parent cohort ID for multivariate experiments. For simple experiments, this matches the cohortId. |
experimentId | String | The Platform ID of the Experiment. |
experimentName | String | The API Name of the Experiment. |
data | String | Optional data returned with the cohort assignment based on the response template. |
attributes | Array | Attributes returned with the cohort assignment based on the response template. |
A request for one or more experiment assignments for an individual. If values conflict between context, events, and profile, context takes precedence.
| Parameter | Type | Description |
|---|---|---|
context | Object | Details regarding the context from which the request is taking place. |
experiments | Array of Strings | Array of experiment API names or platform IDs in the corresponding dataspace referenced in the context. |
executionFlags | Array of Strings | Enumerated values:
|
| Parameter | Type | Description |
|---|---|---|
Response Array | Array | A list of one or more experiment responses, based on the number of experiment references specified in the request. |
experiment | String | The Platform ID of the Experiment. |
variableAssignments | Array | Variable assignments for the experiment. Simple experiments contain one response, and multivariate experiments contain nested assignments. |
variableAssignments.variableId | String | The ID of the assigned cohort. For simple experiments, this matches the cohortId in the attributes object that follows. |
variableAssignments.experimentId | String | The Platform ID of the Experiment. |
variableAssignments.experimentName | String | The API name of the Experiment. |
variableAssignments.data | String | An optional array of data that can be returned with the cohort assignment. This is dependent on the response template you chose when designing the experiment. |
variableAssignments.attributes | Array | An array of attributes that can be returned with the cohort assignment. The attributes returned vary depending on the template you chose when designing the experiment. |
diagnostics | Array | Information about errors or warnings encountered during processing. |
diagnostics.code | String | The error code. |
diagnostics.description | String | A detailed message describing the error. |
requestId | String | The unique identifier for the request and response. |